add_rules("mode.debug", "mode.release", "mode.valgrind")

set_languages("c++17")

if is_mode("release") then
	set_warnings("all", "error")
else
	set_warnings("all")
end

includes("xmake/BlitzClient.lua")
includes("xmake/BlitzServer.lua")
includes("xmake/BlitzTest.lua")